This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 1099776 - (CVE-2014-3775) CVE-2014-3775 libgadu: server response memory corruption issue
CVE-2014-3775 libgadu: server response memory corruption issue
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20140507,repor...
: Security
Depends On: 1099777
Blocks: 1099778
  Show dependency treegraph
 
Reported: 2014-05-21 03:46 EDT by Murray McAllister
Modified: 2015-01-20 12:06 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-20 12:06:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Murray McAllister 2014-05-21 03:46:38 EDT
It was reported that the libgadu 1.12.0-rc3 release fixes a memory corruption issue, triggered by a crafted response from a file relay server:

http://www.openwall.com/lists/oss-security/2014/05/15/8

A malicious file relay server could possibly use this flaw to execute arbitrary code in an application that uses libgadu.
Comment 1 Murray McAllister 2014-05-21 03:47:43 EDT
Created libgadu tracking bugs for this issue:

Affects: fedora-all [bug 1099777]
Comment 3 Murray McAllister 2014-05-26 00:30:00 EDT
Looks like Pidgin is affected too:

http://launchpadlibrarian.net/175981395/pidgin_1%3A2.10.9-0ubuntu3_1%3A2.10.9-0ubuntu3.1.diff.gz

Fedora apperas to use the system verison of libgadu, so that will not be affected once libgadu is fixed.

From an initial investigation, Red Hat Enterprise Linux 6 uses its own embedded version and is vulnerable. Red Hat Enterprise Linux 5 does not appear to have the affected functionality.
Comment 6 Fedora Update System 2014-06-01 18:24:26 EDT
libgadu-1.12.0-0.5.rc3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2014-06-09 23:08:41 EDT
libgadu-1.12.0-0.5.rc3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.